Package org.springframework.cglib.core

# Class ClassNameReader

java.lang.Object
org.springframework.cglib.core.ClassNameReader

public class ClassNameReader extends Object

## Method Summary

Modifier and Type
Method
Description
`static String[]`
`getClassInfo(ClassReader r)`
`static String`
`getClassName(ClassReader r)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getClassName

public static String getClassName(ClassReader r)

### getClassInfo

public static String[] getClassInfo(ClassReader r)